[RFC] PHP 5.4 Strict Error Reporting


Web Development Tips WP

Testing with PHP 5.4 at E_ALL produces strict warning messages such as:

Strict (2048): Declaration of Product::beforeSave() should be compatible with Model::beforeSave($options = Array) [APP/Model/Product.php, line 4]

It’s an easy fix, for example in APP/Model/Product.php change:

public function beforeSave() {

to:

public function beforeSave($options = array()) {

View original post

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s